NO

Author Topic: fSDK  (Read 251 times)

Offline Grincheux

  • Member
  • *
  • Posts: 184
  • Never be pleased, Always Improved
    • Today, it's yestirday and Tomorrow
fSDK
« on: January 23, 2017, 01:11:32 PM »
I have downloaded from GitHub the Frankie's SDK.
It asks to close Pelle's IDE
I did
I launched Pelle's IDE and it rebuilt the libraries. I think that is normal.
After I recompiled my Crack Program.
I got an error where I had no more.

Code: [Select]
Building C06.obj.
C:\Users\Cracker\Documents\Pelles C Projects\Crack\C06.c(239): error #2048: Undeclared identifier 'THREAD_MODE_BACKGROUND_BEGIN' (did you mean 'GUID_IDLE_BACKGROUND_TASK'?).
*** Error code: 1 ***
Done.

I can modify it that's not the problem but does it mean that the C headers are not uptodate when installing Frankie's SDK? >:( >:( >:(
-------------------
Today, it's yestirday and Tomorrow
Kenavo

Offline frankie

  • Global Moderator
  • Member
  • *****
  • Posts: 1578
Re: fSDK
« Reply #1 on: January 23, 2017, 02:29:11 PM »
I have downloaded from GitHub the Frankie's SDK.
It asks to close Pelle's IDE
I did
I launched Pelle's IDE and it rebuilt the libraries. I think that is normal.
After I recompiled my Crack Program.
I got an error where I had no more.

Code: [Select]
Building C06.obj.
C:\Users\Cracker\Documents\Pelles C Projects\Crack\C06.c(239): error #2048: Undeclared identifier 'THREAD_MODE_BACKGROUND_BEGIN' (did you mean 'GUID_IDLE_BACKGROUND_TASK'?).
*** Error code: 1 ***
Done.

I can modify it that's not the problem but does it mean that the C headers are not uptodate when installing Frankie's SDK? >:( >:( >:(
Hello Grincheux,
no it simply means that you have found a bug in my fSDK.  ::)
I'll upload fixed fSDK in next days. ;)
For now please fix it by yourself:
open the winbase.h header in your installation 'PellesC\include\win' and change line 508 from:
Code: [Select]
#define THREAD_MODE_BACKGROUND_BEG    0x00010000
To:
Code: [Select]
#define THREAD_MODE_BACKGROUND_BEGIN    0x00010000
And it will work.
As I'll upload the amended release please download and install the new one.
Thanks